<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9ResourceManager.html">D3D9ResourceManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9ResourceManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3f9cb8a5e40e238006d6eecd39f59642">_notifyResourceCreated</a>(D3D9Resource *pResource)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6ad080e9f9d8268bc81dc029229de4c4">_notifyResourceDestroyed</a>(D3D9Resource *pResource)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#ae4ca441097e4ad0ec1ff504041285152">D3D9Resource</a> class</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2e5c4329b1c7abf2af86ca8e7040f218">D3D9ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#ad59ab6f081f1dbb63e3daf2533fad838">getAutoHardwareBufferManagement</a>() const </td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a887a9ea51d743c01d36c24984b85fc50">getCreationPolicy</a>() const </td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#abf59ec939708ee86f69c49d8794e79f9">lockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9072807b503fe0fffd90f7c5db97ea0f">mAutoHardwareBufferManagement</a></td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a20af3ca34ee7e604bb0af79a0dbf6d43">mDeviceAccessLockCount</a></td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2a920ae068bca08e6483abab5b00b8a6">mResourceCreationPolicy</a></td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9dd1abc77165d31c56ec3f4ae00faee2">mResources</a></td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#aca7e782d7860488f1888191a0b92e9cc">notifyOnDeviceCreate</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9774eeae04c96fe13a03cc506994ac41">notifyOnDeviceDestroy</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a26706090b10f684168297c3515f5351a">notifyOnDeviceLost</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a950f06f9f5d606cdd239cb0f91caec5a">notifyOnDeviceReset</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a03f7f69f3f1d9efa6376137cdbd79ec8">ResourceContainer</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a80fc7bfc7242abc5cbe357e7c3369cbc">ResourceContainerIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#af7a4c337ea668020cccefb5aac5d2daa">setAutoHardwareBufferManagement</a>(bool autoManagement)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3b1885e4e9612f799ac4cacc72bd8df1">setCreationPolicy</a>(D3D9ResourceCreationPolicy creationPolicy)</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a184caf162ee33abbfb146e82dcf92cf3">unlockDeviceAccess</a>()</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6217a2bec646ee530dcc0ae3959c3376">~D3D9ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
